From e437101f81a1284f0ee9cc567e4df59503c6465c Mon Sep 17 00:00:00 2001
From: Rasmus Thomsen <oss@cogitri.dev>
Date: Sat, 18 May 2019 18:05:20 +0200
Subject: [PATCH] gxi: update to 0.8.0

---
 srcpkgs/gxi/patches/fix-cross.patch      | 15 +++++++++++++++
 srcpkgs/gxi/patches/no-release-opt.patch | 10 ----------
 srcpkgs/gxi/template                     |  4 ++--
 3 files changed, 17 insertions(+), 12 deletions(-)
 create mode 100644 srcpkgs/gxi/patches/fix-cross.patch
 delete mode 100644 srcpkgs/gxi/patches/no-release-opt.patch

diff --git a/srcpkgs/gxi/patches/fix-cross.patch b/srcpkgs/gxi/patches/fix-cross.patch
new file mode 100644
index 00000000000..ffc81d2d495
--- /dev/null
+++ b/srcpkgs/gxi/patches/fix-cross.patch
@@ -0,0 +1,15 @@
+diff --git a/meson.build b/meson.build
+index dee48b7..b4c4c2e 100644
+--- meson.build
++++ meson.build
+@@ -21,8 +21,8 @@ gxi_podir = join_paths(meson.current_source_dir(), 'po')
+ 
+ i18n = import('i18n')
+ 
+-cargo = find_program('cargo', required: true)
+-gresource = find_program('glib-compile-resources', required: true)
++cargo = find_program('cargo', required: true, native: true)
++gresource = find_program('glib-compile-resources', required: true, native: true)
+ cargo_script = find_program('scripts/cargo.sh')
+ 
+ sources = files(
diff --git a/srcpkgs/gxi/patches/no-release-opt.patch b/srcpkgs/gxi/patches/no-release-opt.patch
deleted file mode 100644
index 4349dc80c44..00000000000
--- a/srcpkgs/gxi/patches/no-release-opt.patch
+++ /dev/null
@@ -1,10 +0,0 @@
-diff --git a/Cargo.toml b/Cargo.toml
-index 911ffb9..abd51d5 100644
---- Cargo.toml
-+++ Cargo.toml
-@@ -44,5 +44,4 @@ default-features = false
- features = ["precommit-hook", "prepush-hook", "run-cargo-clippy", "run-cargo-fmt"]
- 
- [profile.release]
--lto = true
- codegen-units = 1
diff --git a/srcpkgs/gxi/template b/srcpkgs/gxi/template
index d2cc774b1cf..09bfdf2998d 100644
--- a/srcpkgs/gxi/template
+++ b/srcpkgs/gxi/template
@@ -1,6 +1,6 @@
 # Template file for 'gxi'
 pkgname=gxi
-version=0.6.2
+version=0.8.0
 revision=1
 build_style=meson
 build_helper=rust
@@ -12,7 +12,7 @@ maintainer="Rasmus Thomsen <oss@cogitri.dev>"
 license="MIT"
 homepage="https://github.com/Cogitri/gxi"
 distfiles="https://github.com/Cogitri/gxi/releases/download/v${version}/gxi-${version}.tar.xz"
-checksum=28437dd81aed863f96666f8f4f608a1c76b1f82db103518fe22f08fca7973e87
+checksum=3f5c704fe61dbc972220c9ee19b9045189ad2cdde127e9d69f63fdfe5766501d
 
 post_install() {
 	vlicense LICENSE
